apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: inbiz-backend
  name: inbiz-backend
  namespace: edoc2
spec:
  replicas: 3
  selector:
    matchLabels:
      app: inbiz-backend
  template:
    metadata:
      labels:
        app: inbiz-backend
    spec:
      hostname: inbiz-backend
      containers:
      - image: 192.168.251.78/edoc2v5/inbiz-backend:20230524083057_8e66ab41b5ed84d9 
        imagePullPolicy: IfNotPresent
        name: inbiz-backend
        envFrom:
        - configMapRef:
            name: envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: backend-5006
          containerPort: 5006
        - name: backend-15006
          containerPort: 15006
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
---
apiVersion: v1
kind: Service
metadata:
  name: inbiz-backend
  namespace: edoc2
  labels:
    app: inbiz-backend
spec:
  ports:
  - name: backend
    port: 5006
    targetPort: 5006
    protocol: TCP
  - name: backend-grpc
    port: 15006
    targetPort: 15006
    protocol: TCP
  selector:
    app: inbiz-backend
  type: ClusterIP
